<?php
/**
 * Clase Base Bean para BaseCrCierrehipotecaDBN
 *
 * @package    Sedapal
 * @subpackage BaseCrCierrehipotecaDBN
 * @author     Willy
 * @version    SVN:: BaseCrCierrehipotecaDBN.class.php,v 1.1 2013-02-06 12:21:42 william.taype Exp $
 */
abstract class BaseCrCierrehipotecaDBN
{
  protected $Idcierred;
  protected $Idcolaborador;
  protected $Nombrecolaborador;
  protected $Ingresototal;
  protected $Salidatotal;
  protected $Saldototal;
  protected $Fecharegistro;
  protected $Usaurioregistro;
  protected $Idsucursal;
  protected $Fecha;
  protected $Mensaje;
  protected $Error;

  public function getIdcierred(){
    return $this->Idcierred;
  }
  public function setIdcierred($v1){
    $this->Idcierred = $v1; 
  }

  public function getIdcolaborador(){
    return $this->Idcolaborador;
  }
  public function setIdcolaborador($v1){
    $this->Idcolaborador = $v1; 
  }

  public function getNombrecolaborador(){
    return $this->Nombrecolaborador;
  }
  public function setNombrecolaborador($v1){
    $this->Nombrecolaborador = $v1; 
  }

  public function getMoneda(){
    return $this->Moneda;
  }
  public function setMoneda($v1){
    $this->Moneda = $v1; 
  }
  
  public function getIngresototal(){
    return $this->Ingresototal;
  }
  public function setIngresototal($v1){
    $this->Ingresototal = $v1; 
  } 
  public function getIngresototalga(){
    return $this->Ingresototalga;
  }
  public function setIngresototalga($v1){
    $this->Ingresototalga = $v1; 
  }  
  public function getIngresototalDeposito(){
    return $this->IngresototalDeposito;
  }
  public function setIngresototalDeposito($v1){
    $this->IngresototalDeposito = $v1; 
  } 
  public function getIngresototalPI(){
    return $this->IngresototalPI;
  }
  public function setIngresototalPI($v1){
    $this->IngresototalPI = $v1; 
  }

  public function getSalidatotal(){
    return $this->Salidatotal;
  }
  public function setSalidatotal($v1){
    $this->Salidatotal = $v1; 
  }

  public function getSalidatotalPI(){
    return $this->SalidatotalPI;
  }
  public function setSalidatotalPI($v1){
    $this->SalidatotalPI = $v1; 
  }
  
  public function getSaldototal(){
    return $this->Saldototal;
  }
  public function setSaldototal($v1){
    $this->Saldototal = $v1; 
  }

  public function getFecharegistro(){
    return $this->Fecharegistro;
  }
  public function setFecharegistro($v1){
    $this->Fecharegistro = $v1; 
  }

  public function getUsaurioregistro(){
    return $this->Usaurioregistro;
  }
  public function setUsaurioregistro($v1){
    $this->Usaurioregistro = $v1; 
  }

  public function getIdsucursal(){
    return $this->Idsucursal;
  }
  public function setIdsucursal($v1){
    $this->Idsucursal = $v1; 
  }

  public function getFecha(){
    return $this->Fecha;
  }
  public function setFecha($v1){
    $this->Fecha = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Cr_cierrehipoteca_dBN desde un RecordSet */
  public static function retrieveByRs( $o_Cr_cierrehipoteca_dRs )
  {
    $o_CrCierrehipotecaDBN = new CrCierrehipotecaDBN();
    $o_CrCierrehipotecaDBN->setIdcierred( $o_Cr_cierrehipoteca_dRs['idcierred'] );
    $o_CrCierrehipotecaDBN->setIdcolaborador( $o_Cr_cierrehipoteca_dRs['idcolaborador'] );
    $o_CrCierrehipotecaDBN->setNombrecolaborador( $o_Cr_cierrehipoteca_dRs['nombrecolaborador'] );
    $o_CrCierrehipotecaDBN->setIngresototal( $o_Cr_cierrehipoteca_dRs['ingresototal'] );
    $o_CrCierrehipotecaDBN->setSalidatotal( $o_Cr_cierrehipoteca_dRs['salidatotal'] );
    $o_CrCierrehipotecaDBN->setSaldototal( $o_Cr_cierrehipoteca_dRs['saldototal'] );
    $o_CrCierrehipotecaDBN->setFecharegistro( $o_Cr_cierrehipoteca_dRs['fecharegistro'] );
    $o_CrCierrehipotecaDBN->setUsaurioregistro( $o_Cr_cierrehipoteca_dRs['usaurioregistro'] );
    $o_CrCierrehipotecaDBN->setIdsucursal( $o_Cr_cierrehipoteca_dRs['idsucursal'] );
    $o_CrCierrehipotecaDBN->setFecha( $o_Cr_cierrehipoteca_dRs['fecha'] );
    return $o_CrCierrehipotecaDBN;
  }
}